global currentMovie, gMovNo, gdirmovie, fixPal, gsliderbar, listC, gQuestNo, gPalNo, gStages, gPatt, gNames, gInst, listMTH, gAnsListNo, gSetQuest

on startMovie
  if the machineType < 256 then
    openXLib("XPALETTE")
    set fixPal to fixPalette(mnew, the stageLeft, the stageTop, the stageRight, the stageBottom)
  end if
  if the machineType >= 256 then
    openXLib("XPALETTE.dll")
    set fixPal to XPALETTE(mnew)
  end if
  set gQuestNo to 0
  repeat with i = 342 to 368
    if the machineType = 256 then
      if the castType of cast i = #text then
        set the textFont of field i to "arial"
        set the textSize of field i to 12
        set the foreColor of cast i to 255
      end if
      next repeat
    end if
    if the colorDepth = 8 then
      set the foreColor of cast i to 255
      next repeat
    end if
    set the foreColor of cast i to 0
  end repeat
  fixPal(mPatchIt)
  set listB to list(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23)
  set listC to list()
  repeat with i = 1 to 23
    set x to random(count(listB))
    set v to getAt(listB, x)
    deleteAt(listB, x)
    addAt(listC, i, v)
  end repeat
end

on randomPosition
  set listA to list(71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84)
  repeat with i = 1 to 14
    puppetSprite(i + 29, 1)
    set x to random(count(listA))
    set v to getAt(listA, x)
    deleteAt(listA, x)
    set the castNum of sprite (i + 32) to v
  end repeat
  if gQuestNo <= 22 then
    set gQuestNo to gQuestNo + 1
    set lQuestNo to getAt(listC, gQuestNo)
    set the castNum of sprite 2 to lQuestNo + 250
    set the castNum of sprite 3 to lQuestNo + 300
    set gSetQuest to lQuestNo + 300
  else
    set gQuestNo to 1
    set lQuestNo to getAt(listC, 1)
    set the castNum of sprite 2 to lQuestNo + 250
    set the castNum of sprite 3 to lQuestNo + 300
    set gSetQuest to lQuestNo + 300
  end if
  set gAnsListNo to lQuestNo
  setAnsList()
end

on setAnsList
  global listMTH, gAnsListNo
  if gAnsListNo = 1 then
    set listMTH to list("MTH_001.PIC", "10.TXT", "3Stimu.pict", "Stimu.pict", "16.1.TXT", "3roywul.pict", "22.TXT", "3ELK.PICT", "26.TXT")
  end if
  if gAnsListNo = 2 then
    set listMTH to list("MTH_002.PIC", "10.TXT", "3Stimu.pict", "Stimu.pict", "16.1.TXT", "3roywul.pict", "21.TXT", "3ELK.PICT", "26.TXT")
  end if
  if gAnsListNo = 3 then
    set listMTH to list("MTH_003.PIC", "9.TXT", "3kaufst.pict", "kaufst.pict", "14.1.TXT", "3prince.pict", "20.2.TXT", "3hare.pict", "26.TXT")
  end if
  if gAnsListNo = 4 then
    set listMTH to list("MTH_004.PIC", "9.TXT", "3kaufst.pict", "kaufst.pict", "15.1.TXT", "3prince.pict", "21.TXT", "3hare.pict", "26.TXT")
  end if
  if gAnsListNo = 5 then
    set listMTH to list("MTH_005.PIC", "7.TXT", "3roywul.pict", "roywul.pict", "18.1.TXT", "3elk.pict", "23.TXT", "3prince.pict", "26.TXT")
  end if
  if gAnsListNo = 6 then
    set listMTH to list("MTH_006.PIC", "7.TXT", "3roywul.pict", "roywul.pict", "18.1.TXT", "3elk.pict", "23.TXT", "3prince.pict", "26.TXT")
  end if
  if gAnsListNo = 7 then
    set listMTH to list("MTH_007.PIC", "6.TXT", "3ant.pict", "drwnant.pict", "17a.TXT", "3grass.pict", "17.TXT", "3prince.pict", "26.TXT")
  end if
  if gAnsListNo = 8 then
    set listMTH to list("MTH_008.PIC", "6.TXT", "3grass.pict", "GrssHppr.pict", "17.TXT", "3ant.pict", "17a.TXT", "3roywul.pict", "26.TXT")
  end if
  if gAnsListNo = 9 then
    set listMTH to list("MTH_009.PIC", "5.TXT", "3hare.pict", "hare.pict", "16.2.TXT", "3cad.pict", "25.TXT", "3olive.pict", "26.TXT")
  end if
  if gAnsListNo = 10 then
    set listMTH to list("MTH_010.PIC", "4.TXT", "3cad.pict", "cadpupa.pict", "15.2.TXT", "3olive.pict", "21.TXT", "3hare.pict", "26.TXT")
  end if
  if gAnsListNo = 11 then
    set listMTH to list("MTH_011.PIC", "3.TXT", "3elk.pict", "Elk_hair.pict", "16.3.TXT", "3adams.pict", "20.1.TXT", "3roywul.pict", "22.TXT")
  end if
  if gAnsListNo = 12 then
    set listMTH to list("MTH_012.PIC", "3.TXT", "3elk.pict", "Elk_hair.pict", "16.3.TXT", "3adams.pict", "20.1.TXT", "3roywul.pict", "22.TXT")
  end if
  if gAnsListNo = 13 then
    set listMTH to list("MTH_013.PIC", "2.TXT", "3phe.pict", "Phstl.pict", "15.3.TXT", "3hare.pict", "28.TXT", "3olive.pict", "27.TXT")
  end if
  if gAnsListNo = 14 then
    set listMTH to list("MTH_014.PIC", "2.TXT", "3phe.pict", "Phstl.pict", "15.3.TXT", "3olive.pict", "27.TXT", "3hare.pict", "28.TXT")
  end if
  if gAnsListNo = 15 then
    set listMTH to list("MTH_015.PIC", "1.TXT", "3adams.pict", "Adams.pict", "16.4.TXT", "3elk.pict", "20.4.TXT", "3roywul.pict", "22.TXT")
  end if
  if gAnsListNo = 16 then
    set listMTH to list("MTH_016.PIC", "1.TXT", "3adams.pict", "Adams.pict", "14.2.TXT", "3elk.pict", "21.TXT", "3roywul.pict", "22.TXT")
  end if
  if gAnsListNo = 17 then
    set listMTH to list("MTH_017.PIC", "8.TXT", "3prince.pict", "Prince1.pict", "18.2.TXT", "3hare.pict", "23.TXT", "3roywul.pict", "22.TXT")
  end if
  if gAnsListNo = 18 then
    set listMTH to list("MTH_018.PIC", "8.TXT", "3prince.pict", "Prince1.pict", "18.2.TXT", "3hare.pict", "23.TXT", "3roywul.pict", "22.TXT")
  end if
  if gAnsListNo = 19 then
    set listMTH to list("MTH_019.PIC", "11.TXT", "3wbugg.pict", "Wbugger.pict", "19.TXT", "3prince.pict", "24.TXT", "3kaufst.pict", "26.TXT")
  end if
  if gAnsListNo = 20 then
    set listMTH to list("MTH_020.PIC", "12.TXT", "3cad.pict", "Cadpupa.pict", "15.2.TXT", "3olive.pict", "21.TXT", "nothing.pict", "0.TXT")
  end if
  if gAnsListNo = 21 then
    set listMTH to list("MTH_021.PIC", "12.TXT", "3cad.pict", "Cadpupa.pict", "15.2.TXT", "3olive.pict", "21.TXT", "nothing.pict", "0.TXT")
  end if
  if gAnsListNo = 22 then
    set listMTH to list("MTH_022.PIC", "13.TXT", "3olive.pict", "olive.pict", "15.4.TXT", "3cad.pict", "21.TXT", "nothing.pict", "0.TXT")
  end if
  if gAnsListNo = 23 then
    set listMTH to list("MTH_023.PIC", "13.TXT", "3olive.pict", "olive.pict", "15.4.TXT", "3cad.pict", "21.TXT", "nothing.pict", "0.TXT")
  end if
end

on patchPal
  fixPal(mPatchIt)
end

on stopMovie
  fixPal(mdispose)
  if the machineType < 256 then
    closeXLib("XPALETTE")
  else
    closeXLib("XPALETTE.dll")
  end if
end
